#ifndef	MDA_FILE_H
#define	MDA_FILE_H

enum cfg_state {
	MDA_CONFIG_STATE_START = 0,
	MDA_CONFIG_STATE_MILLISERVER,
	MDA_CONFIG_STATE_DATABASE,
	MDA_CONFIG_STATE_MDA,
	MDA_CONFIG_STATE_LOGGING
};

struct linebuffer {
	char *buffer;
	int len;
	int blen;
};

int	read_config ();
int	read_table_definitions ();
int	load_module();
void	import_sqldump();

#endif

